#
# spec file for package python-openstack.nose_plugin
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-openstack.nose_plugin
Version:        0.11
Release:        bp155.2.10
Summary:        Openstack run_testspy style output for nosetests
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/jkoelker/openstack-nose
Source:         http://pypi.python.org/packages/source/o/openstack.nose_plugin/openstack.nose_plugin-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  openstack-suse-macros
BuildRequires:  python-rpm-macros
Requires:       python-colorama
Requires:       python-nose
Requires:       python-termcolor

%python_subpackages

%description
openstack.nose_plugin provides a nose plugin that allow's nosetests output to
mimic the output of openstack's run_tests.py.

%prep
%setup -q -n openstack.nose_plugin-%{version}

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Wed Jan  2 2019 Thomas Bechtold <tbechtold@suse.com>
- convert to singlespec
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Nov 25 2013 dmueller@suse.com
- switch to python-setuptools
* Mon Nov 19 2012 saschpe@suse.de
- Initial version
